# -*- coding: utf-8 -*-

from django.db import models
from django.utils.translation import ugettext_lazy as _

from .base import ReferenceProxy


class Reason(models.Model):
    u"""
    Модель 'Причины записи на прием'
    Используется для создании записи на прием
    """
    code = models.CharField(_(u"код"), max_length=50)
    name = models.CharField(
        _(u"наименование"), max_length=250, null=True, blank=True
    )

    class Meta:
        verbose_name = u'Причина записи на прием к специалисту'
        verbose_name_plural = u'Причины записи на прием к специалисту'

    def __unicode__(self):
        return self.code


class ReasonsProxy(ReferenceProxy):
    u"""
    Класс предназначеный для передачи в edureception
    дополнительных данных к модели Reason
    """
    model = Reason

    @staticmethod
    def get_required_fields():
        fields = [
            "name",
            "id",
        ]
        return fields
